## org.apache.fop.viewer
Class PreviewDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--org.apache.fop.viewer.PreviewDialog

public class PreviewDialog
extends javax.swing.JFrame
implements ProgressListener, MessageListener

Frame and User Interface for Preview

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Field Summary
`protected int` `currentPage`
`protected Command` `firstPageAction`
`protected javax.swing.JLabel` `infoStatus`
`protected Command` `lastPageAction`
`protected Command` `nextPageAction`
`protected int` `pageCount`
`protected javax.swing.JScrollPane` `previewArea`
`protected javax.swing.JLabel` `previewImageLabel`
`protected Command` `previousPageAction`
`protected Command` `printAction`
`protected javax.swing.JLabel` `processStatus`
`protected AWTRenderer` `renderer`
`protected Translator` `res`
`protected javax.swing.JComboBox` `scale`
`protected javax.swing.JLabel` `statisticsStatus`
`protected javax.swing.JPanel` `statusBar`
`protected java.awt.GridBagLayout` `statusBarLayout`
`protected IconToolBar` `toolBar`
`protected javax.swing.JLabel` `zoomLabel`

Fields inherited from class javax.swing.JFrame
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`PreviewDialog(AWTRenderer aRenderer, Translator aRes)` Create a new PreviewDialog that uses the given renderer and translator.

Method Summary
`void` `dispose()`
`void` `processMessage(MessageEvent event)` Called by MessageHandler if an error message or a log message is received.
`void` `progress(int percentage)`
`void` `progress(int percentage, java.lang.String message)`
`void` `progress(java.lang.String message)` Setting the text of a JLabel is not thread save, it needs to be done in the EventThread.
`void` `setScale(double scaleFactor)`
`void` `showPage()`
`void` `startHelpAbout(java.awt.event.ActionEvent e)` Show the About box

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### res

    protected Translator res

### currentPage

    protected int currentPage

### pageCount

    protected int pageCount

### renderer

    protected AWTRenderer renderer

### toolBar

    protected IconToolBar toolBar

### printAction

    protected Command printAction

### firstPageAction

    protected Command firstPageAction

### previousPageAction

    protected Command previousPageAction

### nextPageAction

    protected Command nextPageAction

### lastPageAction

    protected Command lastPageAction

### zoomLabel

    protected javax.swing.JLabel zoomLabel

### scale

    protected javax.swing.JComboBox scale

### previewArea

    protected javax.swing.JScrollPane previewArea

### statusBar

    protected javax.swing.JPanel statusBar

### statusBarLayout

    protected java.awt.GridBagLayout statusBarLayout

### statisticsStatus

    protected javax.swing.JLabel statisticsStatus

### processStatus

    protected javax.swing.JLabel processStatus

### infoStatus

    protected javax.swing.JLabel infoStatus

### previewImageLabel

    protected javax.swing.JLabel previewImageLabel

Constructor Detail

### PreviewDialog

    public PreviewDialog(AWTRenderer aRenderer,
                         Translator aRes)

  Create a new PreviewDialog that uses the given renderer and translator.
  Parameters:
    `aRenderer` - the to use renderer
    `aRes` - the to use translator

Method Detail

### startHelpAbout

    public void startHelpAbout(java.awt.event.ActionEvent e)

  Show the About box
  Parameters:
    `e` - a value of type 'ActionEvent'

### setScale

    public void setScale(double scaleFactor)

### progress

    public void progress(int percentage)

  Specified by:
    progress in interface ProgressListener

### progress

    public void progress(int percentage,
                         java.lang.String message)

  Specified by:
    progress in interface ProgressListener

### progress

    public void progress(java.lang.String message)

  Setting the text of a JLabel is not thread save, it needs to be done in the EventThread. Here we make sure it is done.
  Specified by:
    progress in interface ProgressListener

### showPage

    public void showPage()

### processMessage

    public void processMessage(MessageEvent event)

  Called by MessageHandler if an error message or a log message is received.
  Specified by:
    processMessage in interface MessageListener

### dispose

    public void dispose()

  Overrides:
    dispose in class java.awt.Window

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.